/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { IAccordionAdapter } from './accordion-adapter';
export interface IAccordionFoundation extends ICustomElementFoundation {
    panelSelector: string;
}
/**
 * The foundation class behind the `AccordionComponent`.
 */
export declare class AccordionFoundation implements IAccordionFoundation {
    private _adapter;
    private _panelSelector;
    private _hostInteractionCallback?;
    constructor(_adapter: IAccordionAdapter);
    initialize(): void;
    disconnect(): void;
    private _attachListeners;
    private _detachListeners;
    private _hostInteraction;
    /** Gets/sets the selector to use for finding the child expansion panels. Defaults to searching the direct children for `<forge-expansion-panel>` elements. */
    get panelSelector(): string;
    set panelSelector(value: string);
}
